Package org.codehaus.groovy.transform.stc

# Class ExtensionMethodCache

java.lang.Object
org.codehaus.groovy.transform.stc.AbstractExtensionMethodCache
org.codehaus.groovy.transform.stc.ExtensionMethodCache

    public class ExtensionMethodCache
    extends AbstractExtensionMethodCache

This class is used to make extension methods lookup faster. Basically, it will only collect the list of extension methods (see `ExtensionModule` if the list of extension modules has changed. It avoids recomputing the whole list each time we perform a method lookup.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static ExtensionMethodCache` | `INSTANCE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `addAdditionalClassesToScan​(java.util.Set<java.lang.Class> instanceExtClasses, java.util.Set<java.lang.Class> staticExtClasses)` |
  `protected java.util.function.Predicate<MethodNode>` | `getMethodFilter()` |
  `protected java.util.function.Function<MethodNode,​java.lang.String>` | `getMethodMapper()` |

  ### Methods inherited from class org.codehaus.groovy.transform.stc.AbstractExtensionMethodCache

  `get`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final ExtensionMethodCache INSTANCE

- ## Method Details

  - ### addAdditionalClassesToScan

    protected void addAdditionalClassesToScan​(java.util.Set<java.lang.Class> instanceExtClasses, java.util.Set<java.lang.Class> staticExtClasses)
    Specified by:
      `addAdditionalClassesToScan` in class `AbstractExtensionMethodCache`

  - ### getMethodFilter

    protected java.util.function.Predicate<MethodNode> getMethodFilter()
    Specified by:
      `getMethodFilter` in class `AbstractExtensionMethodCache`

  - ### getMethodMapper

    protected java.util.function.Function<MethodNode,​java.lang.String> getMethodMapper()
    Specified by:
      `getMethodMapper` in class `AbstractExtensionMethodCache`